# Ski Resort Snowreport API

Note snow reports are sourced directly from the ski resorts and are only recorded during the ski season. Snow reports are generally updated daily, though be to sure to display or filter based on `updatedDt` as in some cases the resort snow report can be outdated.

Key details the resort snowreport api resource returns:

* **Status -** The resort operating status (e.g. open, closed) and planned open/closing dates.
* **Depths** - Snow depths at base, mid, and summit. Note resorts do not always report all three values, most commonly the base and summit are only reported.&#x20;
* **Recent** - reported snowfall for the last 7 days.
* **Lifts -** Number of open lifts.&#x20;
* **Terrain -** Number of open runs and terrain resort status.
* **Surface Type -** The primary surface of the snow (e.g. Packed Powder)

## GET /resort/{resortId}/snowreport

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortSnowReport":{"type":"object","properties":{"depth":{"required":["base","summit"],"type":"object","properties":{"middle":{"type":"number","description":"Middle snow depth"},"summit":{"type":"number","description":"Summit snow depth"},"base":{"type":"number","description":"Base snow depth"}}},"surfaceType":{"type":"number","description":"\n * Primary snow surface type at the top:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"lifts":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of lifts total"},"details":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Lift name"},"type":{"type":"string","description":"\n * highSpeedSix - Six Chair High Speed\n * highSpeedEight - Eight Chair High Speed\n * gondola - Gondola\n * tram - Tram\n * highSpeedQuad - Four Chair High Speed\n * quad - Four Chair\n * triple - Three Chairs\n * double - Double Chairs\n * surface - Surface lift\n * other - Other type of lift","enum":["surface","double","triple","quad","highSpeedQuad","highSpeedSix","highSpeedEight","gondola","tram","other"]},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"number","description":"Number of lifts open"}},"description":"Resort lifts element"},"resort":{"type":"number","description":"Resort ID"},"terrain":{"type":"object","properties":{"parks":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}},"canReturnBySki":{"type":"boolean"},"km":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Km of runs total"},"open":{"type":"number","description":"Km of runs open"}},"description":"Resort runs in km element"},"runsIntermediate":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort intermediate terrain item"},"runsExpert":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort expert terrain item"},"runsBeginner":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort beginner terrain item"},"runsAdvanced":{"required":["total","totalLen","totalPercent"],"type":"object","properties":{"total":{"type":"number"},"openPercent":{"type":"number"},"totalLen":{"type":"number"},"openNum":{"type":"number"},"totalPercent":{"type":"number"},"openLen":{"type":"number"}},"description":"Resort advanced terrain item"},"tubes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of tubes total"},"open":{"type":"number","description":"Number of tubes open"}}},"acres":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of acres total"},"open":{"type":"number","description":"Number of acres open"}}},"nordic":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Total in km"},"skategroomed":{"type":"number","description":"Skategroomed in km"},"trackset":{"type":"number","description":"Trackset in km"},"open":{"type":"number","description":"Nordic Open in km"}}},"runs":{"required":["total"],"type":"object","properties":{"total":{"type":"integer","description":"Total number of runs","format":"int32"},"openPercent":{"type":"integer","description":"Percentage of runs that are open","format":"int32"},"details":{"type":"array","description":"List of individual runs with their statuses and attributes","items":{"type":"object","properties":{"difficulty":{"type":"number","description":"\n * 1 - Easy\n * 2 - Intermediate\n * 3 - Advanced\n * 4 - Expert","enum":[0,1,2,3,4]},"nightskiing":{"type":"boolean","description":"Indicates if the run supports night skiing"},"snowmaking":{"type":"boolean","description":"Snowmaking"},"name":{"type":"string","description":"Name of the run"},"grooming":{"type":"boolean","description":"Indicates if the run is groomed"},"status":{"type":"number","description":"\n * 0 - No Info\n * 1 - Open\n * 2 - Closed\n * 3 - Temporarily Closed (On Hold)\n * 4 - Delayed\n * 5 - Open to Mid Station only","enum":[0,1,2,3,4,5]}}}},"open":{"type":"integer","description":"Number of open runs","format":"int32"}}},"pipes":{"required":["total"],"type":"object","properties":{"total":{"type":"number","description":"Number of pipes total"},"open":{"type":"number","description":"Number of pipes open"}}}}},"recent":{"type":"array","description":"Recent snow history for the last 7 days.","items":{"required":["date","snow"],"type":"object","properties":{"date":{"type":"string","description":"ISO date without time in YYYY-MM-dd format"},"snow":{"type":"number","description":"Snow fall value in cm"}},"description":"Describes snow history chart item"}},"url":{"type":"string"},"surfaceTypeBottom":{"type":"number","description":"\n * Primary snow surface type at the bottom:\n * 1 - Powder\n * 2 - Packed Powder\n * 3 - Machine Made\n * 4 - Machine Groomed\n * 5 - Hard Packed\n * 6 - Spring Snow\n * 7 - Corn Snow\n * 8 - Loose Granular\n * 9 - Frozen Granular\n * 10 - Granular\n * 11 - Icy Spots\n * 12 - Bare Spots\n * 13 - Obstacles\n * 14 - Skiers Packed\n * 15 - Variable Conditions\n * 16 - Wet Snow\n * 17 - Thin Cover\n * 18 - Wind Blown","enum":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18]},"status":{"required":["openFlag"],"type":"object","properties":{"openFlag":{"type":"number","description":"\n *              Resort Open Status:\n *              `1` - Open\n *              `2` - Closed\n *              `3` - Temporarily Closed\n *              `4` - Weekends only\n *              `5` - No Report Available\n *              `6` - Permanently Closed\n *          ","enum":[1,2,3,4,5,6]},"closingDate":{"type":"string","description":"ISO 8601 date without time"},"openingDate":{"type":"string","description":"ISO 8601 date without time"}},"description":"Report Status"},"updatedAt":{"type":"string","description":"The last update date and time of the snow report in ISO 8601 format.","format":"date-time"}},"description":"Represents the snow report for a partner resort."}}},"paths":{"/resort/{resortId}/snowreport":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortSnowReport"}}}}}}}}}
```
